/*! @file

    @id $Id$

    This product includes software developed by the OpenSSL Project
    for use in the OpenSSL Toolkit (http://www.openssl.org/)
    
    This product includes cryptographic software written by
    Eric Young (eay@cryptsoft.com)
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <openssl-engine.hxx>

std::map<ENGINE*, openssl::Engine*> openssl::EngineMapper::_map;
std::map<std::string, openssl::Engine*> openssl::EngineMapper::_prototypes;

#if OPENSSL_API_COMPAT < 0x10100000L
namespace openssl {
  class CleanupEngine {
    public:
      CleanupEngine() {}
      ~CleanupEngine() {
        ENGINE_cleanup();
      }
      void test() {}
  } doCleanupEngine;
}
#endif
